Package org.eclipse.swt.events

# Class ExpandEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.SelectionEvent
org.eclipse.swt.events.ExpandEvent

public class ExpandEvent extends SelectionEvent
Instances of this class are sent as a result of expand item being expanded and collapsed.

Since:
  1.2
See Also:
  - `ExpandListener`

## Field Summary

### Fields inherited from class org.eclipse.swt.events.SelectionEvent

`detail, doit, height, item, stateMask, text, width, x, y`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`ExpandEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpandEvent

public ExpandEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `SelectionEvent`